#!/usr/bin/env php
<?php
include dirname(__FILE__, 5) . '/test/lib/init.php';
su('admin');

zdTable('pi')->gen(100);

/**

title=测试 piModel->groupByART();
timeout=0
cid=1

- 根据ART分组，查看获取到的PI数量 @90
- 根据ART分组，ART1下的PI名称第0条的name属性 @PI1

*/

global $tester;
$tester->loadModel('pi');

r(count($tester->pi->groupByART())) && p('')       && e('90');   // 根据ART分组，查看获取到的PI数量
r($tester->pi->groupByART()[1])     && p('0:name') && e('PI1');  // 根据ART分组，ART1下的PI名称